summaryrefslogtreecommitdiffstats
path: root/libraries/poppler
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-11 14:56:24 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:56:24 +0200
commit09c77055d2ff74ee3d518cb21468dfce3ca875b0 (patch)
treef47f21cd466706c1b04f7ad76f7cb142dc93b716 /libraries/poppler
parent83514f69f5964ba80311e60e7b78d1ed1c9dc6d1 (diff)
downloadslackbuilds-09c77055d2ff74ee3d518cb21468dfce3ca875b0.tar.gz
slackbuilds-09c77055d2ff74ee3d518cb21468dfce3ca875b0.tar.xz
libraries/poppler: Initial import
Diffstat (limited to 'libraries/poppler')
-rw-r--r--libraries/poppler/README9
-rw-r--r--libraries/poppler/poppler.SlackBuild94
-rw-r--r--libraries/poppler/poppler.info8
-rw-r--r--libraries/poppler/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/libraries/poppler/README b/libraries/poppler/README
new file mode 100644
index 0000000000..4dc63c0b63
--- /dev/null
+++ b/libraries/poppler/README
@@ -0,0 +1,9 @@
+Poppler is a PDF rendering library based on the xpdf-3.0 code base.
+
+NOTE: poppler-data may be installed as an optional library -
+Poppler data helps poppler render CJK and Cyrillic fonts properly.
+Note - this isn't necessarily necessary for poppler to function, but
+may be a nice feature to install.
+
+Also note, this script was adopted from slackware's -current branch, and
+all credit should go to Patrick Volkerding for his work.
diff --git a/libraries/poppler/poppler.SlackBuild b/libraries/poppler/poppler.SlackBuild
new file mode 100644
index 0000000000..f2b05817da
--- /dev/null
+++ b/libraries/poppler/poppler.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Copyright 2006, 2007 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Modified by Andrew Brouwers for adaptation to slackbuilds.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuild Project
+set -e
+
+PRGNAM=poppler
+VERSION=0.5.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-poppler
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-opi \
+ --enable-zlib \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+# small fix so the fontconfig.h header is found correctly
+sed -i 's|#include <fontconfig/fontconfig.h>|#include "/usr/X11R6/include/fontconfig/fontconfig.h"|' $TMP/$PRGNAM-$VERSION/$PRGNAM/GlobalParams.h
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README README-XPDF TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/poppler/poppler.info b/libraries/poppler/poppler.info
new file mode 100644
index 0000000000..f4d396571d
--- /dev/null
+++ b/libraries/poppler/poppler.info
@@ -0,0 +1,8 @@
+PRGNAM="poppler"
+VERSION="0.5.4"
+HOMEPAGE="http://poppler.freedesktop.org/"
+DOWNLOAD="http://poppler.freedesktop.org/poppler-0.5.4.tar.gz"
+MD5SUM="053fdfd70533ecce1a06353fa945f061"
+MAINTAINER="Andrew Brouwers"
+EMAIL="abrouwers@gmail.com"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/libraries/poppler/slack-desc b/libraries/poppler/slack-desc
new file mode 100644
index 0000000000..9d5891d8a6
--- /dev/null
+++ b/libraries/poppler/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+poppler: poppler (a library for rendering PDF documents)
+poppler:
+poppler: Poppler is a library based on the xpdf PDF viewer developed by Derek
+poppler: Noonburg of Glyph and Cog, LLC. Since xpdf does not provide a shared
+poppler: library, whenever a flaw was found potentially dozens of applications
+poppler: incorporating code from xpdf would have to be patched. By providing
+poppler: a centralized PDF library this duplicated effort will be eliminated.
+poppler:
+poppler:
+poppler:
+poppler: